Page MenuHomePhabricator

Make the "Install Dashboard" flow smoother
ClosedPublic

Authored by epriestley on Apr 1 2019, 8:10 PM.

Details

Summary

Depends on D20362. Ref T13272. Currently, Dashboards have an "Install Dashboard" flow which is pretty janky and only allows you to install things to the home page.

Instead, allow users to install things to any valid target (home, favorites, portals, projects). This also provides URIs like dashboard/install/1/home/personal/ which allow you to link users to an "install a dashboard" page; this may or may not get used.

Test Plan

Installed dashboards on home, favorites, projects, and portals.

Diff Detail

Repository
rP Phabricator
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

epriestley created this revision.Apr 1 2019, 8:10 PM
epriestley requested review of this revision.Apr 1 2019, 8:12 PM
amckinley accepted this revision.Apr 3 2019, 6:37 PM
amckinley added inline comments.
src/applications/search/menuitem/PhabricatorProfileMenuItem.php
91–92

Debugging code.

This revision is now accepted and ready to land.Apr 3 2019, 6:37 PM
epriestley updated this revision to Diff 48619.Apr 4 2019, 2:40 PM
  • Remove debugging code.
This revision was automatically updated to reflect the committed changes.